NOTICE: This package has been removed from pkgsrc

./devel/google-api-go-client, Go client library for various Google APIs

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ]


Branch: CURRENT, Version: 20160909nb3, Package name: google-api-go-client-20160909nb3, Maintainer: bsiegert

These packages are bindings for the APIs of many Google services, such
as Calendar, Gmail, the Maps API etc. They are auto-generated from
their respective service describers.


Required to build:
[pkgtools/cwrappers] [textproc/go-text] [devel/go-glog] [misc/go-genproto]

Master sites:


Version history: (Expand)


CVS history: (Expand)


   2017-07-22 21:32:41 by Thomas Klausner | Files touched by this commit (10)
Log message:
Sprinkle CHECK_RELRO_SKIP on go packages.

go14 has no relro support AFAICT.

go-1.8.3 has if you use -buildmode=pie, but it claims it's not supported
on Linux.

Disable relro checking for go packages until bsiegert has time to
look at this.
   2017-04-13 17:12:07 by Benny Siegert | Files touched by this commit (39) | Package updated
Log message:
Revbump all Go packages after the Go 1.8.1 update.
   2016-12-04 17:30:01 by Benny Siegert | Files touched by this commit (35) | Package updated
Log message:
Revbump Go packages after 1.7.4 update.
   2016-10-29 10:59:49 by Benny Siegert | Files touched by this commit (34) | Package updated
Log message:
Revbump packages depending on Go after the Go 1.7.3 update.
   2016-09-13 22:50:25 by Benny Siegert | Files touched by this commit (4) | Package updated
Log message:
Update google-api-go-client to 20160909.

This adds a bunch of new APIs, many of which now support gRPC (a binary
protocol over HTTP/2) instead of JSON and HTTP.
   2016-09-10 21:47:21 by Benny Siegert | Files touched by this commit (30) | Package updated
Log message:
Revbump all Go packages after the Go 1.7.1 update.
   2016-08-20 11:21:46 by Benny Siegert | Files touched by this commit (26)
Log message:
Revbump packages using Go for Go 1.7 release.
   2016-02-23 21:18:13 by Benny Siegert | Files touched by this commit (17) | Package updated
Log message:
Revbump packages that build-depend on Go after 1.6 update.

They all build, I checked :)